

void setup() {
  // put your setup code here, to run once:
pinMode(13,OUTPUT);
pinMode(22,INPUT);
pinMode(23,INPUT);
}

void loop() 

{
static int k=1000;
if ((digitalRead(22)==HIGH or digitalRead(23)==HIGH) && k>= 30)
{

   digitalWrite(13,HIGH);
  delay(k);
  
    digitalWrite(13,LOW);
  delay(k);
  k=(k/1.1);

  }
 else {
k=500;
 (digitalWrite(13,HIGH));
 delay(k*2); 
  digitalWrite(13,LOW);
  delay(k/2);

 }

}
